> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Locations

> List tenant locations, sorted alphabetically by name.



## OpenAPI

````yaml get /check-in/calendar/locations
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/calendar/locations:
    get:
      tags:
        - Calendar and Appointments
      summary: Get Locations
      description: List tenant locations, sorted alphabetically by name.
      operationId: get_locations_check_in_calendar_locations_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Archived
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LocationDetail'
                title: Response Get Locations Check In Calendar Locations Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LocationDetail:
      properties:
        id:
          type: string
          title: Id
        isVirtual:
          type: boolean
          title: Isvirtual
        name:
          type: string
          title: Name
        addressLineOne:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslineone
        addressLineTwo:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslinetwo
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        timezone:
          type: string
          title: Timezone
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        spakinectLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Spakinectlocationid
        dosespotClinicId:
          anyOf:
            - type: string
            - type: 'null'
          title: Dosespotclinicid
        dosespotClinicKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Dosespotclinickey
        externalId:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalid
        taxIdentificationNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Taxidentificationnumber
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        photoUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Photourl
        reviewLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewlink
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        latitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Longitude
        isArchived:
          type: boolean
          title: Isarchived
          default: false
      type: object
      required:
        - id
        - isVirtual
        - name
        - timezone
      title: LocationDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````